### Class

# Foundry SearchResult

#### Description [src]

    abstract class Foundry.SearchResult : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for search results.

FoundrySearchResult provides the core interface for representing search results with common properties like title, subtitle, and icon. Concrete implementations handle specific types of search results and provide specialized functionality for different search contexts and result types.

#### Ancestors

- GObject

#### Descendants

- FoundryMenuSearchResult

#### Instance methods

###### foundry_search_result_create_intent

Create an intent for the search result.

since: 1.1

###### foundry_search_result_dup_icon

No description available.

###### foundry_search_result_dup_subtitle

No description available.

###### foundry_search_result_dup_title

No description available.

###### foundry_search_result_get_use_underline

Gets whether the search result should use underline.

since: 1.1

###### foundry_search_result_load

Loads the contents of the search result.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.SearchResult:icon

No description available.

###### Foundry.SearchResult:subtitle

No description available.

###### Foundry.SearchResult:title

No description available.

###### Foundry.SearchResult:use-underline

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundrySearchResultClass {
      GObjectClass parent_class;
      char* (* dup_title) (
        FoundrySearchResult* self
      );
      char* (* dup_subtitle) (
        FoundrySearchResult* self
      );
      GIcon* (* dup_icon) (
        FoundrySearchResult* self
      );
      DexFuture* (* load) (
        FoundrySearchResult* self
      );
      FoundryIntent* (* create_intent) (
        FoundrySearchResult* self,
        FoundryContext* context
      );
      gboolean (* get_use_underline) (
        FoundrySearchResult* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_title: char* (* dup_title) ( FoundrySearchResult* self )`

  No description available.

`dup_subtitle: char* (* dup_subtitle) ( FoundrySearchResult* self )`

  No description available.

`dup_icon: GIcon* (* dup_icon) ( FoundrySearchResult* self )`

  No description available.

`load: DexFuture* (* load) ( FoundrySearchResult* self )`

  No description available.

`create_intent: FoundryIntent* (* create_intent) ( FoundrySearchResult* self, FoundryContext* context )`

  No description available.

`get_use_underline: gboolean (* get_use_underline) ( FoundrySearchResult* self )`

  No description available.

#### Virtual methods

###### Foundry.SearchResultClass.create_intent

Create an intent for the search result.

since: 1.1

###### Foundry.SearchResultClass.dup_icon

No description available.

###### Foundry.SearchResultClass.dup_subtitle

No description available.

###### Foundry.SearchResultClass.dup_title

No description available.

###### Foundry.SearchResultClass.get_use_underline

Gets whether the search result should use underline.

since: 1.1

###### Foundry.SearchResultClass.load

Loads the contents of the search result.